Skip to content

Log a UI screen open event.

POST
/api/workspace/audit/ui/screens
curl --request POST \
--url https://example.com/api/workspace/audit/ui/screens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "ScreenKey": "example", "EntityType": "example", "EntityId": "example", "EntityName": "example", "WorkspaceUiPageKey": "example", "WorkspaceUiArtifactId": "example", "WorkspaceUiArtifactHash": "example" }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload for logging a UI screen view.

object
ScreenKey

Stable key of the UI screen.

string
nullable
EntityType

Optional entity type associated with the screen.

string
nullable
EntityId

Optional entity id associated with the screen.

string
nullable
EntityName

Optional entity display name associated with the screen.

string
nullable
WorkspaceUiPageKey

Workspace UI page key for the fixed Workspace UI screen.

string
nullable
WorkspaceUiArtifactId

Workspace UI artifact identity for the fixed Workspace UI screen.

string
nullable
WorkspaceUiArtifactHash

Workspace UI artifact hash for the fixed Workspace UI screen.

string
nullable
Examplegenerated
{
"ScreenKey": "example",
"EntityType": "example",
"EntityId": "example",
"EntityName": "example",
"WorkspaceUiPageKey": "example",
"WorkspaceUiArtifactId": "example",
"WorkspaceUiArtifactHash": "example"
}

OK

Media typeapplication/json
object
Data
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}